Admiral
Clusters

List clusters

GET
/api/v1/clusters

Scope: cluster:read

Authorization

bearerAuth
AuthorizationBearer <token>

Personal Access Token (PAT) or Service Access Token (SAT). Pass the token in the Authorization header: Bearer adm_pat_...

In: header

Query Parameters

filter?filter

Filter expression to narrow results. Uses the Admiral filter DSL.

Syntax: field['name'] = 'value' with AND/OR/NOT, comparison operators (=, !=, <, >, <=, >=, ~=), and predicates (IN, BETWEEN, CONTAINS, STARTS_WITH, ENDS_WITH, IS NULL, EXISTS).

Filterable fields:

  • name -- filter by cluster name.
  • health_status -- filter by health status.
  • labels.key -- filter by label key.

Example: field['health_status'] = 'HEALTHY' AND field['labels.region'] = 'us-east-1'

Lengthlength <= 1024
page_size?page_size

Maximum number of clusters to return per page.

Formatint32
Range0 <= value <= 100
page_token?page_token

Opaque pagination token from a previous response.

Response Body

application/json

curl -X GET "https://admiral.example.com/api/v1/clusters"
{  "clusters": [    {      "id": "c3d4e5f6-7890-1abc-def0-abcdef012345",      "name": "prod-us-east-1",      "description": "Primary production cluster serving US East traffic.",      "labels": {        "region": "us-east-1",        "cloud": "aws",        "tier": "production"      },      "cluster_uid": "kube-system-uid-9f8e7d6c",      "health_status": "CLUSTER_HEALTH_STATUS_HEALTHY",      "created_by": "d290f1ee-6c54-4b01-90e6-d701748f0851",      "updated_by": "d290f1ee-6c54-4b01-90e6-d701748f0851",      "created_at": "2025-06-10T08:00:00Z",      "updated_at": "2025-11-20T16:45:00Z"    }  ],  "next_page_token": "string"}